::{team:Southend United}'s {stadium:Fossetts Farm} stadium plans '90%' done::
@1320688653
url: https://www.bbc.com/sport/football/15626712
{team:Southend United} chairman {manager:Ron Martin} has said the club are in the "advanced stages" of starting building work on their {stadium:Fossetts Farm} stadium.
{team:The Blues} were given permission to construct a new ground on the site over three years ago.
"I don't want to put false hope in people's minds but we are 90% through the processes we have to do," {manager:Martin} told BBC Look East.
"We're just tying up a couple of loose ends and it's looking good."
The new stadium is being funded in part by supermarket chain Sainsbury's, who in return will build a store at the club's current {stadium:Roots Hall} home.
{manager:Martin} said the only decision before work begins is over who will win the contract to lead the construction at {stadium:Fossetts Farm}.
I still subsidise the club. It still needs seven or eight hundred thousand pounds put in this season, which we do month on month
"We've been out to tender and have those tenders back from four contractors," he explained.
"We've selected two. We're now conducting interviews with those two and hope to be through that process within the next three to four weeks.
"I don't want to put a date on it but we're very advanced. We've had a lot of properties to buy in and around {stadium:Roots Hall} and {stadium:Fossetts Farm}. Everything is at a very advanced stage.
"We're building not just a Sainsbury's store and a stadium but 30 flats for the local authorities."
And the {team:Southend} chairman has reiterated the importance of the proposed 14,000-seater stadium to the club's future.
"The stadium is critical," he said. "I still subsidise the club. It still needs seven or eight hundred thousand pounds put in this season, which we do month on month.
"That will continue until the income streams improve. Hopefully that will be through promotion but also through the stadium." 